edu.wpi.first.wpilibj

## Enum Counter.Mode

- java.lang.Object
- - java.lang.Enum<Counter.Mode>
  - - edu.wpi.first.wpilibj.Counter.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Counter.Mode>
  Enclosing class:
    Counter

      public static enum Counter.Mode
      extends java.lang.Enum<Counter.Mode>

  Mode determines how and what the counter counts.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kExternalDirection` mode: external direction.
    `kPulseLength` mode: pulse length.
    `kSemiperiod` mode: semi period.
    `kTwoPulse` mode: two pulse.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Counter.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Counter.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kTwoPulse

          public static final Counter.Mode kTwoPulse

      mode: two pulse.

    - #### kSemiperiod

          public static final Counter.Mode kSemiperiod

      mode: semi period.

    - #### kPulseLength

          public static final Counter.Mode kPulseLength

      mode: pulse length.

    - #### kExternalDirection

          public static final Counter.Mode kExternalDirection

      mode: external direction.

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static Counter.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Counter.Mode c : Counter.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Counter.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null